Bug 361740 - Disable warning "The document requested to be launched in presentation mode" on document reload
Summary: Disable warning "The document requested to be launched in presentation mode" ...
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR minor with 10 votes (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2016-04-13 23:36 UTC by Stas Fomin
Modified: 2020-05-18 14:39 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.11.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stas Fomin 2016-04-13 23:36:10 UTC
When using Okular as previewer in PDFTex workflow,  preparing beamer slides, the following usability hell occured:
* LaTex/Beamer slides should be compiled to PDF with metadata "StartFullScreen"
* But while editing,  on every PDF change/and reload, user got a modal popup 
        "The document requested to be launched in presentation mode." "Do you want to allow it?" 
(See part.cpp)
* This make typical Slide/LaTeX/Beamer editing workflow completely unusable.

I see several options how to handle it.
* Should be commandline options ("--disablefullscreen" or like this), and Okular launched from Kile with this option should ignore all this "StartFullScreen" metadata.
* Global preference "Disable Presentation Mode". And if the OS is used to LaTex editing workflow, the owner possible can swith Okular in Presentation Mode.
* Completelety disable this warning on reload of the changed document.
Comment 1 Albert Astals Cid 2016-05-10 22:44:55 UTC
I'd say the third option is the one that makes more sense, could you edit the subject to match it?
Comment 2 Stas Fomin 2016-05-20 22:34:05 UTC
OK. 

I will try to patch it.
Comment 3 torhamzed 2016-05-31 15:24:58 UTC
Could you upload a sample file or show where to download one to reproduce this?
Comment 4 Stas Fomin 2016-05-31 19:42:58 UTC
Yes, demo

https://github.com/belonesox/demo-of-beamer-problem-for-okular-

Need texlive/pdflatex.

run demo.sh
Comment 5 Stas Fomin 2016-05-31 19:44:07 UTC
Full URL should be «https://github.com/belonesox/demo-of-beamer-problem-for-okular-», bugzilla did not hyperlink correctly in  prev.comment.
Comment 6 Oliver Sander 2020-05-06 06:03:31 UTC
I tried to access the link to the demo file, but the link is stale.  Can you update it?
Comment 8 Albert Astals Cid 2020-05-17 00:27:58 UTC
Git commit 08a76adda1b29b33cdb7f7430be231595e109aed by Albert Astals Cid, on behalf of Arshad Husain.
Committed on 16/05/2020 at 22:24.
Pushed by aacid into branch 'master'.

Do not show dialog when reloading file that requests fullscreen

When using Okular as previewer in PDFTex workflow, preparing beamer slides,
the following usability hell occurred:

* LaTex/Beamer slides should be compiled to PDF with metadata "StartFullScreen"
* But while editing, on every PDF change/and reload, the user gets a modal popup
  "The document requested to be launched in presentation mode." "Do you want to allow it?"

M  +1    -1    part.cpp

https://invent.kde.org/graphics/okular/commit/08a76adda1b29b33cdb7f7430be231595e109aed